﻿Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ListItems()
    End Sub

    ' Add an item value.
    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click
        My.Settings.Items.Add(txtValue.Text)
        txtValue.Clear()
        txtValue.Focus()
        ListItems()
    End Sub

    ' Remove an item value.
    Private Sub btnRemove_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRemove.Click
        My.Settings.Items.Remove(txtValue.Text)
        txtValue.Clear()
        txtValue.Focus()
        ListItems()
    End Sub

    ' List the current items.
    Private Sub ListItems()
        lstItems.DataSource = My.Settings.Items.Cast(Of String)().ToArray()
        lstItems.SelectedIndex = -1
    End Sub

    ' Display the selected item.
    Private Sub lstItems_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstItems.SelectedIndexChanged
        If (lstItems.SelectedItem Is Nothing) Then
            txtValue.Clear()
        Else
            txtValue.Text = lstItems.SelectedItem.ToString()
        End If
    End Sub
End Class
